## org.red5.server.api
Interface ConnectionMBean

All Known Subinterfaces:
  IConnection, IRemotingConnection, IServiceCapableConnection, IStreamCapableConnection

All Known Implementing Classes:
  BaseConnection, BaseRTMPTConnection, EdgeRTMPMinaConnection, RemotingConnection, RTMPConnection, RTMPMinaConnection, RTMPOriginConnection, RTMPTClientConnection, RTMPTConnection

    public interface ConnectionMBean

The connection object. Each connection has an associated client and scope. Connections may be persistent, polling, or transient. The aim of this interface is to provide basic connection methods shared between different types of connections Future subclasses: RTMPConnection, RemotingConnection, AJAXConnection, HttpConnection, etc

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Method Summary
`void` `close()`
`boolean` `connect(IScope scope)`
`boolean` `connect(IScope scope, Object[] params)`
`Iterator<IBasicScope>` `getBasicScopes()`
`IClient` `getClient()`
`Map<String,Object>` `getConnectParams()`
`long` `getDroppedMessages()`
`String` `getHost()`
`int` `getLastPingTime()`
`String` `getPath()`
`long` `getPendingMessages()`
`long` `getReadBytes()`
`long` `getReadMessages()`
`String` `getRemoteAddress()`
`List<String>` `getRemoteAddresses()`
`int` `getRemotePort()`
`IScope` `getScope()`
`String` `getSessionId()`
`String` `getType()`
`long` `getWrittenBytes()`
`long` `getWrittenMessages()`
`void` `initialize(IClient client)`
`boolean` `isConnected()`
`void` `ping()`

Method Detail

### getType

    String getType()

### initialize

    void initialize(IClient client)

### connect

    boolean connect(IScope scope)

### connect

    boolean connect(IScope scope,
                    Object[] params)

### isConnected

    boolean isConnected()

### close

    void close()

### getConnectParams

    Map<String,Object> getConnectParams()

### getClient

    IClient getClient()

### getHost

    String getHost()

### getRemoteAddress

    String getRemoteAddress()

### getRemoteAddresses

    List<String> getRemoteAddresses()

### getRemotePort

    int getRemotePort()

### getPath

    String getPath()

### getSessionId

    String getSessionId()

### getReadBytes

    long getReadBytes()

### getWrittenBytes

    long getWrittenBytes()

### getReadMessages

    long getReadMessages()

### getWrittenMessages

    long getWrittenMessages()

### getDroppedMessages

    long getDroppedMessages()

### getPendingMessages

    long getPendingMessages()

### ping

    void ping()

### getLastPingTime

    int getLastPingTime()

### getScope

    IScope getScope()

### getBasicScopes

    Iterator<IBasicScope> getBasicScopes()

Copyright © 2006-2010 The Red5 Project